// $Id: wish.c,v 1.1 2003/11/04 22:32:40 ensc Exp $    --*- c++ -*--

// Copyright (C) 2003 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de>
//  
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; version 2 of the License.
//  
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//  
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.


#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include "wish.h"

bool
Wish_init(struct Wish *self, int fd, struct Credentials const *creds)
{
  self->fd_  = fd;
  self->pid_ = 0;
  
  if (creds==0)
    self->has_creds_ = false;
  else {
    self->has_creds_ = true;
    self->creds_     = *creds;
  }

  return true;
}

void
Wish_delete(struct Wish UNUSED * self)
{
}
